Bug 205542 - Some Chinese words in Input-pad of SCIM cannot be found in fonts
Some Chinese words in Input-pad of SCIM cannot be found in fonts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fonts-chinese (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caius Chance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 23:09 EDT by Nicole Dai
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 23:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
input-pad_Chinese (27.60 KB, image/png)
2006-09-06 23:09 EDT, Nicole Dai
no flags Details
table of missing radicals (138.18 KB, image/png)
2006-09-07 00:22 EDT, Caius Chance
no flags Details
missing punctuations (22.02 KB, image/png)
2006-09-07 01:36 EDT, Nicole Dai
no flags Details
Screenshot for Test (68.73 KB, image/png)
2007-05-21 03:09 EDT, A S Alam
no flags Details

  None (edit)
Description Nicole Dai 2006-09-06 23:09:21 EDT
Description of problem:
Some Chinese words in Input-pad of SCIM cannot be found in fonts.

Version-Release number of selected component (if applicable):
fonts-chinese-3.02-6.fc6
scim-1.4.4-33.fc6

How reproducible:
Always

Steps to Reproduce:
1.Launch gedit.
2.Launch Input-pad of SCIM.
3.Select Chinese tab by clicking the forward or back triangle button.
4.Select Radicals sub-tab.
  
Actual results:
Pls refer to the attached screenshot

Expected results:


Additional info:
Comment 1 Nicole Dai 2006-09-06 23:09:21 EDT
Created attachment 135715 [details]
input-pad_Chinese
Comment 2 Caius Chance 2006-09-07 00:17:09 EDT
scim-input-pad is also required to reproduce the problem. For radicals in
unicode (u+2E80 - u+2EF3), there are actually more missing.

-----

from the input-pad, the missing characters are:

2E81, 2E8B, 2E97, 2EB3.

-----

from the character map (gnome-character-map), the missing characters are:

2E81, 2E82, 2E8B, 2E8F, 2E90,
2E91, 2E94, 2E97, 2E9E, 2EA6,
2EB1, 2EB3, 2EB4, 2EB5, 2EC7,
2ECE, 2ED2, 2ED5, 2EE1, 2EE8,
2EE9, 2EEA, 2EEB, 2EEC, 2EED,
2EEF, 2EF0, 2EF1.

-----

As all supposively correct radical characters are using ShanHeiSong font, assume
upstream is project contributors of cjkunifonts.

In communication with upstream.
Comment 3 Caius Chance 2006-09-07 00:22:52 EDT
Created attachment 135722 [details]
table of missing radicals

picture showing missing glyphs.

range is from first char at top-left corner to the char "龟“.
Comment 4 Caius Chance 2006-09-07 00:29:04 EDT
Reported to upstream.
Comment 5 Nicole Dai 2006-09-07 01:36:51 EDT
Created attachment 135727 [details]
missing punctuations

Also found some missing punctuations. I am not sure which fonts these
punctuations should be included in. Attached it here for reference. Thanks.
Comment 6 Caius Chance 2006-09-10 21:30:04 EDT
Reported to upstream. Priority is the decision of upstream.
Comment 8 Caius Chance 2006-10-02 00:26:10 EDT
Upstream released new font package, working on rebuild.
Comment 9 Caius Chance 2006-11-08 20:17:57 EST
Bug is not reproduceable on rawhide.

FYI, bug #214729 has updated the arphic uming font to latest release from
upstream, which covers the fix of this problem.

Pending for QA.
Comment 10 A S Alam 2007-05-21 03:09:18 EDT
Created attachment 155073 [details]
Screenshot for Test
Comment 11 A S Alam 2007-05-21 03:10:49 EDT
as for Image from input-pad and Gucharmap, There was no difference from last
Attached image, Can you please help me to test more on this if it was fixed.

tested w ith following Version:
fonts-chinese-3.03-4.fc7
Comment 13 Caius Chance 2007-05-21 23:45:57 EDT
Request cloned to upstream in OCT 2006.

Apologizes for the comment# 9 when I was not familiar in bugfix workflow.

The uming.ttf unicode coverage is beyond our control, which I have already
submitted request to upstream to fill those characters at priority.

Close this bug with WONTFIX.

FYI, upstream: http://www.freedesktop.org/wiki/Software_2fCJKUnifonts
Comment 14 Caius Chance 2007-05-22 22:49:45 EDT
FYI, upstream states that it had been fixed in his next release.

Note You need to log in before you can comment on or make changes to this bug.